Bug 237595 - Empty directories ignored
Empty directories ignored
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-23 17:57 EDT by Andrig Miller
Modified: 2008-05-01 19:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-01 19:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrig Miller 2007-04-23 17:57:06 EDT
Description of problem:


Version-Release number of selected component (if applicable): 2.16.3-1.fc6


How reproducible:

Every time.

Steps to Reproduce:
1. Double click on zip archive.
2. Empty directories do not show.
3. Unpack, but dragging top level directory, and empty directories are not created.
  
Actual results:

Empty directories do not show in GUI, and are not unpacked and created even
though they are in the archive.

Expected results:

Empty directories should show up in the zip archive, and should be created when
the archive is extracted.

Additional info:

You can see this behavior with the jboss-4.2.0.CR2.zip file download from
Sourceforge.  The jboss-4.2.0.CR2/server/minimal directory contains a deploy
directory that is empty.  You can see this if you use unzip -l from the
command-line.  This empty directory does not show up in file-roller, and does
not extract using file-roller.
Comment 1 Christopher Aillon 2007-04-25 12:57:06 EDT
This was reported upstream as http://bugzilla.gnome.org/show_bug.cgi?id=162792
and was fixed in the 2.17 branch.  This fix is a rather large one and is
unlikely to be backported to 2.16 which FC6 ships, but will be fixed in 2.18.x
which is available in the latest FC7 test releases and will be in for FC7 when
it's released.
Comment 2 Andrig Miller 2007-04-25 13:05:53 EDT
Okay, thanks.  As far as I'm concerned you can close this, if you prefer.

Thanks again.
Comment 3 Bug Zapper 2008-04-04 03:05:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Andrig Miller 2008-04-08 10:42:09 EDT
This issue was fixed in later Fedora releases.  Empty diretories do unzip
properly from file-roller.  You can close this issue.
Comment 5 John Poelstra 2008-05-01 19:10:32 EDT
Thank you for your update.

Note You need to log in before you can comment on or make changes to this bug.